osl::PieceVector Class Reference

`#include <container.h>`

Inheritance diagram for osl::PieceVector:

## Public Member Functions

void | sortByBasic ()
| 駒の価値の小さい順に並び替える.
void | sortByPtype ()
| 駒の価値の大きい順に並び替える.
Public Member Functions inherited from osl::FixedCapacityVector< Piece, Piece::SIZE >
| FixedCapacityVector ()
| ~FixedCapacityVector ()
FixedCapacityVector & | operator= (FixedCapacityVector const &rhs)
Piece & | operator[] (size_t i)
iterator | begin ()
iterator | end ()
Piece & | front ()
Piece & | back ()
void | push_back (const Piece &e)
void | pop_back ()
void | clear ()
void | resize (size_t new_length)
void | erase (const Piece &e)
void | unique ()
| 重複する要素を取り除く
size_t | size () const
bool | empty () const
size_t | capacity () const
bool | isMember (const Piece &e, const_iterator first, const_iterator last) const
detail::FixedCapacityVectorPushBack< Piece > | pushBackHelper ()

## Additional Inherited Members

Public Types inherited from osl::FixedCapacityVector< Piece, Piece::SIZE >
typedef array_t::value_type | value_type
typedef array_t::iterator | iterator
typedef array_t::const_iterator | const_iterator
Protected Types inherited from osl::FixedCapacityVector< Piece, Piece::SIZE >
typedef Array | array_t
Protected Attributes inherited from osl::FixedCapacityVector< Piece, Piece::SIZE >
Piece * | ptr
CArray< int64_t,(sizeof(Piece[Capacity])+sizeof(int64_t) -1)/sizeof(int64_t)> | relements

## Detailed Description

Definition at line 304 of file container.h.

## Member Function Documentation

## sortByBasic()

void osl::PieceVector::sortByBasic | ( |  | ) |

駒の価値の小さい順に並び替える.

成っているかに関わらず 歩香桂銀金角飛王

Definition at line 41 of file container.cc.

References osl::FixedCapacityVector< Piece, Piece::SIZE >::begin(), and osl::FixedCapacityVector< Piece, Piece::SIZE >::end().

## sortByPtype()

void osl::PieceVector::sortByPtype | ( |  | ) |

駒の価値の大きい順に並び替える.

成りを考慮. 王龍馬...

Definition at line 46 of file container.cc.

References osl::FixedCapacityVector< Piece, Piece::SIZE >::begin(), and osl::FixedCapacityVector< Piece, Piece::SIZE >::end().

The documentation for this class was generated from the following files:

- container.h
- container.cc